#!/usr/bin/perl -w
#----------------------------------------------------------
# make_choose_servadm.pl
# part of webconf-package for eisfair
# $Id: make_choose_servadm.pl,v 1.3 2004/03/07 23:36:53 chriswue Exp $
# (c) 2002-2004 by Christian Wuerdig (eisfair@chriswue.de)
#----------------------------------------------------------

use strict;
use CGI::Carp qw(fatalsToBrowser);
use formtools;

our $VERBOSE;

no strict "subs";
do "conf.pl";
use strict "subs";

my ($class, $form_path, $creation_time) = ("class=\"chooseserv\"", "/var/install/form", scalar(localtime(time)));

add_history("Service administration#make_choose_servadm.pl");

opendir(DIR, "$form_path");
my @services = grep { /.*\.main$/ } readdir(DIR);
closedir(DIR);

print_head("Service-Files", "choose service", "$class");
print_history;
print "<hr $class>\n";

print "<p><br><br><br></p>\n";
print "<p $class>\n";
print "<ol $class>\n";

my $tmp = `rm -f /var/config/tmp/.* >/dev/null 2>&1`;

my ($name, $serv);
SERV: foreach $serv (@services) {
   open(FORMF, "<$form_path/$serv");
   FORM: {
      while(<FORMF>) {
         if (/^[ \t]*<menuname>(.*)<\/menuname>([ \t]*#.*)?\s*$/) { $name = $1; last FORM; }
      }
      printErr($serv, 1, "'<menuname>'", "nothing");
      last SERV;
   }
   print "<li $class><a $class href=\"make_choose_servopt.pl?$serv\">$name</a></li>\n";
}

print "</ol></p>\n";
print "<p><br><br><br></p>\n";
print "<hr $class>\n";

print_history;

print "<hr $class>\n";
print "<span $class>created by make_choose_servadm.pl on $creation_time.</span>\n" if ($VERBOSE eq "yes");
print "</body></html>\n";
