#!/usr/bin/perl -w
#----------------------------------------------------------
# choose_action.pl
# part of webconf-package for eisfair
# $Id: choose_action.pl,v 1.3 2004/03/07 23:36:53 chriswue Exp $
# (c) 2002-2004 by Christian Wuerdig (eisfair@chriswue.de)
#----------------------------------------------------------

use strict;
use CGI::Carp qw(fatalsToBrowser);
use syntax;
use formtools;

my $class = "class=\"result\"";

my ($config_file, $temp_form, $form_string) = ($ARGV[0], $ARGV[1], "");
my $temp_conf = ".tmp.$config_file.$$";

# get Form-Data
read(STDIN, $form_string, $ENV{CONTENT_LENGTH});

# decode chars in $form_string and split (defined in syntax.pm)
my @config_all = decode_formstr($form_string);

#no strict "subs";
#sysopen(TMPCNF, ">/var/config/tmp/$temp_conf", O_RDWR | O_TRUNC | O_CREAT, 0600) || die "Could not open '$temp_conf' for writing, reason: $!";
#use strict "subs";

my $old_umask = umask(0077);
open(TMPCNF, ">/var/config/tmp/$temp_conf") || die "Could not open '$temp_conf' for writing, reason: $!";
umask($old_umask);
   
foreach (@config_all) { print TMPCNF "$_\n"; }
close(TMPCNF);

print_head_min("choose", $class);

print "<br><br><p style=\"font-size:24; text-align:center\"><b>\n";
print "<a $class href=\"apply_conf_form.pl?reload+$temp_conf+$config_file+$temp_form\" target=\"Edit\">RELOAD</a> or ";
print "<a $class href=\"apply_conf_form.pl?apply+$temp_conf+$config_file+$temp_form\" target=\"Result\">APPLY</a></b></p>\n";
print "</body></html>\n";
