#!/usr/bin/perl -w
#----------------------------------------------------------
# error.pl
# part of webconf-package for eisfair
# last modified: 2003/09/14
# (c) 2002-2003 by Christian Wuerdig (eisfair@chriswue.de)
#----------------------------------------------------------

use strict;
use CGI::Carp qw(fatalsToBrowser);
use formtools;

my $class = "class=\"error\"";
my $creation_time = localtime(time);
my $err_msg = @ARGV[0];

$err_msg =~ s/%20/ /g;

print_head("Error-Page", "ERROR", "$class");
print "<p $class><br><br><br></p>\n";
print "<p $class>\n";
print "An unexpected error occured! Message:<br>\n";
print "\"$err_msg\"<br>\n";
print "Please try to reproduce the error and send a message with a description to ";
print "<a $class href=\"mailto:eisfair\@chriswue.de\">eisfair\@chriswue.de</a> or to the newsgroup spline.eisfair.\n";
print "</p>\n";
print "<p $class><br><br></p>\n";
print "<hr $class>\n";
print "<span $class>created by error.pl on $creation_time</span>\n";
print "</body>\n";
print "</html>\n";
